> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# FAQ Training API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Initiates the training of the Knowledge Graph.

| Property          | Value                                                                                                                              |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                               |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/faqs/train`                                                                             |
| **Content Type**  | `application/json`                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Train FAQ; Admin Console: Test and Train > Train FAQ                                                                  |

## Path Parameters

| Parameter | Description                                                                    | Required |
| --------- | ------------------------------------------------------------------------------ | -------- |
| `host`    | The environment URL. For example, `https://platform.kore.ai`                   | Required |
| `BotId`   | Bot ID or Stream ID, accessible under **General Settings** on the App Builder. | Required |

## Sample Request

```bash theme={null}
curl -X POST \
  https://{{host}}/api/public/bot/{{bot_id}}/faqs/train \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
    "language": "en"
  }'
```

## Body Parameters

| Parameter  | Description                                                               | Required |
| ---------- | ------------------------------------------------------------------------- | -------- |
| `language` | The bot language code. For example, `en` for English and `de` for German. | Required |

## Sample Response

```json theme={null}
{
    "_id": "ds-1xxxxxxd-31xx-5xx1-83xx-0dxxxxxxxxxx",
    "message": "in-progress",
    "status": "in-progress",
    "__v": 0,
    "lastModifiedBy": "u-adxxxxxx-exx1-5xxd-axxc-21xxxxxxxxxx",
    "modifiedOn": "2022-07-29T08:20:31.569Z"
}
```
